import request from "../../../common/request"

export default class LuckyDrawService {
  save (inputForm) {
    return request({
      url: '/test/mobile/testMobile/save',
      method: 'post',
      data: inputForm
    })
  }

  delete (ids) {
    return request({
      url: '/test/mobile/testMobile/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryById (id) {
    return request({
      url: '/test/mobile/testMobile/queryById',
      method: 'get',
      params: {id: id}
    })
  }

  list (params) {
    return request({
      url: '/luckyDraw/info/pjList',
      method: 'get',
      params: params
    })
  }
  
  LuckyDraw (id,number,awardId) {
    return request({
      url: '/luckyDraw/info/luckyDraw',
      method: 'post',
      params: {id: id,number: number,awardId: awardId}
    })
  }
}
